Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network93.3.16.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
93.3.16.0
Broadcast address
93.3.31.255
First usable
93.3.16.1
Last usable
93.3.31.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 5D031000 · Integer 1560481792 to 1560485887
Reverse DNS zones
16.3.93.in-addr.arpa
17.3.93.in-addr.arpa
18.3.93.in-addr.arpa
19.3.93.in-addr.arpa
20.3.93.in-addr.arpa
21.3.93.in-addr.arpa
22.3.93.in-addr.arpa
23.3.93.in-addr.arpa
24.3.93.in-addr.arpa
25.3.93.in-addr.arpa
26.3.93.in-addr.arpa
27.3.93.in-addr.arpa
28.3.93.in-addr.arpa
29.3.93.in-addr.arpa
30.3.93.in-addr.arpa
31.3.93.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011101.00000011.00010000.0000000093.3.16.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01011101.00000011.00010000.0000000093.3.16.0
Broadcast01011101.00000011.00011111.1111111193.3.31.255
Split into smaller subnets/32

93.3.16.0/20 makes 4,096 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
193.3.16.0/3293.3.16.0 to 93.3.16.0—1
293.3.16.1/3293.3.16.1 to 93.3.16.1—1
393.3.16.2/3293.3.16.2 to 93.3.16.2—1
493.3.16.3/3293.3.16.3 to 93.3.16.3—1
593.3.16.4/3293.3.16.4 to 93.3.16.4—1
693.3.16.5/3293.3.16.5 to 93.3.16.5—1
793.3.16.6/3293.3.16.6 to 93.3.16.6—1
893.3.16.7/3293.3.16.7 to 93.3.16.7—1
993.3.16.8/3293.3.16.8 to 93.3.16.8—1
1093.3.16.9/3293.3.16.9 to 93.3.16.9—1
1193.3.16.10/3293.3.16.10 to 93.3.16.10—1
1293.3.16.11/3293.3.16.11 to 93.3.16.11—1
1393.3.16.12/3293.3.16.12 to 93.3.16.12—1
1493.3.16.13/3293.3.16.13 to 93.3.16.13—1
1593.3.16.14/3293.3.16.14 to 93.3.16.14—1
1693.3.16.15/3293.3.16.15 to 93.3.16.15—1
1793.3.16.16/3293.3.16.16 to 93.3.16.16—1
1893.3.16.17/3293.3.16.17 to 93.3.16.17—1
1993.3.16.18/3293.3.16.18 to 93.3.16.18—1
2093.3.16.19/3293.3.16.19 to 93.3.16.19—1
2193.3.16.20/3293.3.16.20 to 93.3.16.20—1
2293.3.16.21/3293.3.16.21 to 93.3.16.21—1
2393.3.16.22/3293.3.16.22 to 93.3.16.22—1
2493.3.16.23/3293.3.16.23 to 93.3.16.23—1
2593.3.16.24/3293.3.16.24 to 93.3.16.24—1
2693.3.16.25/3293.3.16.25 to 93.3.16.25—1
2793.3.16.26/3293.3.16.26 to 93.3.16.26—1
2893.3.16.27/3293.3.16.27 to 93.3.16.27—1
2993.3.16.28/3293.3.16.28 to 93.3.16.28—1
3093.3.16.29/3293.3.16.29 to 93.3.16.29—1
3193.3.16.30/3293.3.16.30 to 93.3.16.30—1
3293.3.16.31/3293.3.16.31 to 93.3.16.31—1
3393.3.16.32/3293.3.16.32 to 93.3.16.32—1
3493.3.16.33/3293.3.16.33 to 93.3.16.33—1
3593.3.16.34/3293.3.16.34 to 93.3.16.34—1
3693.3.16.35/3293.3.16.35 to 93.3.16.35—1
3793.3.16.36/3293.3.16.36 to 93.3.16.36—1
3893.3.16.37/3293.3.16.37 to 93.3.16.37—1
3993.3.16.38/3293.3.16.38 to 93.3.16.38—1
4093.3.16.39/3293.3.16.39 to 93.3.16.39—1
4193.3.16.40/3293.3.16.40 to 93.3.16.40—1
4293.3.16.41/3293.3.16.41 to 93.3.16.41—1
4393.3.16.42/3293.3.16.42 to 93.3.16.42—1
4493.3.16.43/3293.3.16.43 to 93.3.16.43—1
4593.3.16.44/3293.3.16.44 to 93.3.16.44—1
4693.3.16.45/3293.3.16.45 to 93.3.16.45—1
4793.3.16.46/3293.3.16.46 to 93.3.16.46—1
4893.3.16.47/3293.3.16.47 to 93.3.16.47—1
4993.3.16.48/3293.3.16.48 to 93.3.16.48—1
5093.3.16.49/3293.3.16.49 to 93.3.16.49—1
5193.3.16.50/3293.3.16.50 to 93.3.16.50—1
5293.3.16.51/3293.3.16.51 to 93.3.16.51—1
5393.3.16.52/3293.3.16.52 to 93.3.16.52—1
5493.3.16.53/3293.3.16.53 to 93.3.16.53—1
5593.3.16.54/3293.3.16.54 to 93.3.16.54—1
5693.3.16.55/3293.3.16.55 to 93.3.16.55—1
5793.3.16.56/3293.3.16.56 to 93.3.16.56—1
5893.3.16.57/3293.3.16.57 to 93.3.16.57—1
5993.3.16.58/3293.3.16.58 to 93.3.16.58—1
6093.3.16.59/3293.3.16.59 to 93.3.16.59—1
6193.3.16.60/3293.3.16.60 to 93.3.16.60—1
6293.3.16.61/3293.3.16.61 to 93.3.16.61—1
6393.3.16.62/3293.3.16.62 to 93.3.16.62—1
6493.3.16.63/3293.3.16.63 to 93.3.16.63—1
6593.3.16.64/3293.3.16.64 to 93.3.16.64—1
6693.3.16.65/3293.3.16.65 to 93.3.16.65—1
6793.3.16.66/3293.3.16.66 to 93.3.16.66—1
6893.3.16.67/3293.3.16.67 to 93.3.16.67—1
6993.3.16.68/3293.3.16.68 to 93.3.16.68—1
7093.3.16.69/3293.3.16.69 to 93.3.16.69—1
7193.3.16.70/3293.3.16.70 to 93.3.16.70—1
7293.3.16.71/3293.3.16.71 to 93.3.16.71—1
7393.3.16.72/3293.3.16.72 to 93.3.16.72—1
7493.3.16.73/3293.3.16.73 to 93.3.16.73—1
7593.3.16.74/3293.3.16.74 to 93.3.16.74—1
7693.3.16.75/3293.3.16.75 to 93.3.16.75—1
7793.3.16.76/3293.3.16.76 to 93.3.16.76—1
7893.3.16.77/3293.3.16.77 to 93.3.16.77—1
7993.3.16.78/3293.3.16.78 to 93.3.16.78—1
8093.3.16.79/3293.3.16.79 to 93.3.16.79—1
8193.3.16.80/3293.3.16.80 to 93.3.16.80—1
8293.3.16.81/3293.3.16.81 to 93.3.16.81—1
8393.3.16.82/3293.3.16.82 to 93.3.16.82—1
8493.3.16.83/3293.3.16.83 to 93.3.16.83—1
8593.3.16.84/3293.3.16.84 to 93.3.16.84—1
8693.3.16.85/3293.3.16.85 to 93.3.16.85—1
8793.3.16.86/3293.3.16.86 to 93.3.16.86—1
8893.3.16.87/3293.3.16.87 to 93.3.16.87—1
8993.3.16.88/3293.3.16.88 to 93.3.16.88—1
9093.3.16.89/3293.3.16.89 to 93.3.16.89—1
9193.3.16.90/3293.3.16.90 to 93.3.16.90—1
9293.3.16.91/3293.3.16.91 to 93.3.16.91—1
9393.3.16.92/3293.3.16.92 to 93.3.16.92—1
9493.3.16.93/3293.3.16.93 to 93.3.16.93—1
9593.3.16.94/3293.3.16.94 to 93.3.16.94—1
9693.3.16.95/3293.3.16.95 to 93.3.16.95—1
9793.3.16.96/3293.3.16.96 to 93.3.16.96—1
9893.3.16.97/3293.3.16.97 to 93.3.16.97—1
9993.3.16.98/3293.3.16.98 to 93.3.16.98—1
10093.3.16.99/3293.3.16.99 to 93.3.16.99—1
10193.3.16.100/3293.3.16.100 to 93.3.16.100—1
10293.3.16.101/3293.3.16.101 to 93.3.16.101—1
10393.3.16.102/3293.3.16.102 to 93.3.16.102—1
10493.3.16.103/3293.3.16.103 to 93.3.16.103—1
10593.3.16.104/3293.3.16.104 to 93.3.16.104—1
10693.3.16.105/3293.3.16.105 to 93.3.16.105—1
10793.3.16.106/3293.3.16.106 to 93.3.16.106—1
10893.3.16.107/3293.3.16.107 to 93.3.16.107—1
10993.3.16.108/3293.3.16.108 to 93.3.16.108—1
11093.3.16.109/3293.3.16.109 to 93.3.16.109—1
11193.3.16.110/3293.3.16.110 to 93.3.16.110—1
11293.3.16.111/3293.3.16.111 to 93.3.16.111—1
11393.3.16.112/3293.3.16.112 to 93.3.16.112—1
11493.3.16.113/3293.3.16.113 to 93.3.16.113—1
11593.3.16.114/3293.3.16.114 to 93.3.16.114—1
11693.3.16.115/3293.3.16.115 to 93.3.16.115—1
11793.3.16.116/3293.3.16.116 to 93.3.16.116—1
11893.3.16.117/3293.3.16.117 to 93.3.16.117—1
11993.3.16.118/3293.3.16.118 to 93.3.16.118—1
12093.3.16.119/3293.3.16.119 to 93.3.16.119—1
12193.3.16.120/3293.3.16.120 to 93.3.16.120—1
12293.3.16.121/3293.3.16.121 to 93.3.16.121—1
12393.3.16.122/3293.3.16.122 to 93.3.16.122—1
12493.3.16.123/3293.3.16.123 to 93.3.16.123—1
12593.3.16.124/3293.3.16.124 to 93.3.16.124—1
12693.3.16.125/3293.3.16.125 to 93.3.16.125—1
12793.3.16.126/3293.3.16.126 to 93.3.16.126—1
12893.3.16.127/3293.3.16.127 to 93.3.16.127—1
12993.3.16.128/3293.3.16.128 to 93.3.16.128—1
13093.3.16.129/3293.3.16.129 to 93.3.16.129—1
13193.3.16.130/3293.3.16.130 to 93.3.16.130—1
13293.3.16.131/3293.3.16.131 to 93.3.16.131—1
13393.3.16.132/3293.3.16.132 to 93.3.16.132—1
13493.3.16.133/3293.3.16.133 to 93.3.16.133—1
13593.3.16.134/3293.3.16.134 to 93.3.16.134—1
13693.3.16.135/3293.3.16.135 to 93.3.16.135—1
13793.3.16.136/3293.3.16.136 to 93.3.16.136—1
13893.3.16.137/3293.3.16.137 to 93.3.16.137—1
13993.3.16.138/3293.3.16.138 to 93.3.16.138—1
14093.3.16.139/3293.3.16.139 to 93.3.16.139—1
14193.3.16.140/3293.3.16.140 to 93.3.16.140—1
14293.3.16.141/3293.3.16.141 to 93.3.16.141—1
14393.3.16.142/3293.3.16.142 to 93.3.16.142—1
14493.3.16.143/3293.3.16.143 to 93.3.16.143—1
14593.3.16.144/3293.3.16.144 to 93.3.16.144—1
14693.3.16.145/3293.3.16.145 to 93.3.16.145—1
14793.3.16.146/3293.3.16.146 to 93.3.16.146—1
14893.3.16.147/3293.3.16.147 to 93.3.16.147—1
14993.3.16.148/3293.3.16.148 to 93.3.16.148—1
15093.3.16.149/3293.3.16.149 to 93.3.16.149—1
15193.3.16.150/3293.3.16.150 to 93.3.16.150—1
15293.3.16.151/3293.3.16.151 to 93.3.16.151—1
15393.3.16.152/3293.3.16.152 to 93.3.16.152—1
15493.3.16.153/3293.3.16.153 to 93.3.16.153—1
15593.3.16.154/3293.3.16.154 to 93.3.16.154—1
15693.3.16.155/3293.3.16.155 to 93.3.16.155—1
15793.3.16.156/3293.3.16.156 to 93.3.16.156—1
15893.3.16.157/3293.3.16.157 to 93.3.16.157—1
15993.3.16.158/3293.3.16.158 to 93.3.16.158—1
16093.3.16.159/3293.3.16.159 to 93.3.16.159—1
16193.3.16.160/3293.3.16.160 to 93.3.16.160—1
16293.3.16.161/3293.3.16.161 to 93.3.16.161—1
16393.3.16.162/3293.3.16.162 to 93.3.16.162—1
16493.3.16.163/3293.3.16.163 to 93.3.16.163—1
16593.3.16.164/3293.3.16.164 to 93.3.16.164—1
16693.3.16.165/3293.3.16.165 to 93.3.16.165—1
16793.3.16.166/3293.3.16.166 to 93.3.16.166—1
16893.3.16.167/3293.3.16.167 to 93.3.16.167—1
16993.3.16.168/3293.3.16.168 to 93.3.16.168—1
17093.3.16.169/3293.3.16.169 to 93.3.16.169—1
17193.3.16.170/3293.3.16.170 to 93.3.16.170—1
17293.3.16.171/3293.3.16.171 to 93.3.16.171—1
17393.3.16.172/3293.3.16.172 to 93.3.16.172—1
17493.3.16.173/3293.3.16.173 to 93.3.16.173—1
17593.3.16.174/3293.3.16.174 to 93.3.16.174—1
17693.3.16.175/3293.3.16.175 to 93.3.16.175—1
17793.3.16.176/3293.3.16.176 to 93.3.16.176—1
17893.3.16.177/3293.3.16.177 to 93.3.16.177—1
17993.3.16.178/3293.3.16.178 to 93.3.16.178—1
18093.3.16.179/3293.3.16.179 to 93.3.16.179—1
18193.3.16.180/3293.3.16.180 to 93.3.16.180—1
18293.3.16.181/3293.3.16.181 to 93.3.16.181—1
18393.3.16.182/3293.3.16.182 to 93.3.16.182—1
18493.3.16.183/3293.3.16.183 to 93.3.16.183—1
18593.3.16.184/3293.3.16.184 to 93.3.16.184—1
18693.3.16.185/3293.3.16.185 to 93.3.16.185—1
18793.3.16.186/3293.3.16.186 to 93.3.16.186—1
18893.3.16.187/3293.3.16.187 to 93.3.16.187—1
18993.3.16.188/3293.3.16.188 to 93.3.16.188—1
19093.3.16.189/3293.3.16.189 to 93.3.16.189—1
19193.3.16.190/3293.3.16.190 to 93.3.16.190—1
19293.3.16.191/3293.3.16.191 to 93.3.16.191—1
19393.3.16.192/3293.3.16.192 to 93.3.16.192—1
19493.3.16.193/3293.3.16.193 to 93.3.16.193—1
19593.3.16.194/3293.3.16.194 to 93.3.16.194—1
19693.3.16.195/3293.3.16.195 to 93.3.16.195—1
19793.3.16.196/3293.3.16.196 to 93.3.16.196—1
19893.3.16.197/3293.3.16.197 to 93.3.16.197—1
19993.3.16.198/3293.3.16.198 to 93.3.16.198—1
20093.3.16.199/3293.3.16.199 to 93.3.16.199—1
20193.3.16.200/3293.3.16.200 to 93.3.16.200—1
20293.3.16.201/3293.3.16.201 to 93.3.16.201—1
20393.3.16.202/3293.3.16.202 to 93.3.16.202—1
20493.3.16.203/3293.3.16.203 to 93.3.16.203—1
20593.3.16.204/3293.3.16.204 to 93.3.16.204—1
20693.3.16.205/3293.3.16.205 to 93.3.16.205—1
20793.3.16.206/3293.3.16.206 to 93.3.16.206—1
20893.3.16.207/3293.3.16.207 to 93.3.16.207—1
20993.3.16.208/3293.3.16.208 to 93.3.16.208—1
21093.3.16.209/3293.3.16.209 to 93.3.16.209—1
21193.3.16.210/3293.3.16.210 to 93.3.16.210—1
21293.3.16.211/3293.3.16.211 to 93.3.16.211—1
21393.3.16.212/3293.3.16.212 to 93.3.16.212—1
21493.3.16.213/3293.3.16.213 to 93.3.16.213—1
21593.3.16.214/3293.3.16.214 to 93.3.16.214—1
21693.3.16.215/3293.3.16.215 to 93.3.16.215—1
21793.3.16.216/3293.3.16.216 to 93.3.16.216—1
21893.3.16.217/3293.3.16.217 to 93.3.16.217—1
21993.3.16.218/3293.3.16.218 to 93.3.16.218—1
22093.3.16.219/3293.3.16.219 to 93.3.16.219—1
22193.3.16.220/3293.3.16.220 to 93.3.16.220—1
22293.3.16.221/3293.3.16.221 to 93.3.16.221—1
22393.3.16.222/3293.3.16.222 to 93.3.16.222—1
22493.3.16.223/3293.3.16.223 to 93.3.16.223—1
22593.3.16.224/3293.3.16.224 to 93.3.16.224—1
22693.3.16.225/3293.3.16.225 to 93.3.16.225—1
22793.3.16.226/3293.3.16.226 to 93.3.16.226—1
22893.3.16.227/3293.3.16.227 to 93.3.16.227—1
22993.3.16.228/3293.3.16.228 to 93.3.16.228—1
23093.3.16.229/3293.3.16.229 to 93.3.16.229—1
23193.3.16.230/3293.3.16.230 to 93.3.16.230—1
23293.3.16.231/3293.3.16.231 to 93.3.16.231—1
23393.3.16.232/3293.3.16.232 to 93.3.16.232—1
23493.3.16.233/3293.3.16.233 to 93.3.16.233—1
23593.3.16.234/3293.3.16.234 to 93.3.16.234—1
23693.3.16.235/3293.3.16.235 to 93.3.16.235—1
23793.3.16.236/3293.3.16.236 to 93.3.16.236—1
23893.3.16.237/3293.3.16.237 to 93.3.16.237—1
23993.3.16.238/3293.3.16.238 to 93.3.16.238—1
24093.3.16.239/3293.3.16.239 to 93.3.16.239—1
24193.3.16.240/3293.3.16.240 to 93.3.16.240—1
24293.3.16.241/3293.3.16.241 to 93.3.16.241—1
24393.3.16.242/3293.3.16.242 to 93.3.16.242—1
24493.3.16.243/3293.3.16.243 to 93.3.16.243—1
24593.3.16.244/3293.3.16.244 to 93.3.16.244—1
24693.3.16.245/3293.3.16.245 to 93.3.16.245—1
24793.3.16.246/3293.3.16.246 to 93.3.16.246—1
24893.3.16.247/3293.3.16.247 to 93.3.16.247—1
24993.3.16.248/3293.3.16.248 to 93.3.16.248—1
25093.3.16.249/3293.3.16.249 to 93.3.16.249—1
25193.3.16.250/3293.3.16.250 to 93.3.16.250—1
25293.3.16.251/3293.3.16.251 to 93.3.16.251—1
25393.3.16.252/3293.3.16.252 to 93.3.16.252—1
25493.3.16.253/3293.3.16.253 to 93.3.16.253—1
25593.3.16.254/3293.3.16.254 to 93.3.16.254—1
25693.3.16.255/3293.3.16.255 to 93.3.16.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses